      program exactmat ! Bernd Berg Apr 07 2012.
C Exact correlation functions for the scalar free field.
      include '../../Libs/Fortran/implicit.sta'
      include '../../Libs/Fortran/constants.par'
      include 'lat.par'
      include 'mc.par'
      include '../../Libs/Fortran_par/common_lat.f'
      include '../../Libs/Scalar_par/common_exact.f'
      include 'lat.dat'
      ltest=.true.
      ltest=.false.
      if(ltest) stop "exactmat: ltest."
c
      write(iuo,'(/,"exactmat test program:")')
      call exact_init ! Initialization.
      call exact_mat ! Return exact correlation functions.
c
      stop "exactmat: all done."
      end

c General layout includes
      include '../../Libs/Fortran/ipointer.f'
      include '../../Libs/Fortran/isfun.f'
      include '../../Libs/Fortran/ixcor.f'
      include '../../Libs/Fortran/lat_init.f'
      include '../../Libs/Fortran/mat_gau.f'
      include '../../Libs/Fortran/nsfun.f'
      include '../../Libs/Fortran/razero.f'
      include '../../Libs/Fortran/write_progress.f'

c Exact scalar free field routines:
      include '../../Libs/Scalar_par/exact_mat.f'  ! Correlations.
      include '../../Libs/Scalar_par/exact_init.f' ! Initialization.
